org.jbpm.kie.services.impl.bpmn2

## Class BPMN2DataServiceExtensionSemanticModule

- java.lang.Object
- - org.drools.core.xml.DefaultSemanticModule
  - - org.jbpm.bpmn2.xml.BPMNExtensionsSemanticModule
    - - org.jbpm.kie.services.impl.bpmn2.BPMN2DataServiceExtensionSemanticModule

- All Implemented Interfaces:
    org.drools.core.xml.SemanticModule

      public class BPMN2DataServiceExtensionSemanticModule
      extends BPMNExtensionsSemanticModule

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.BPMNExtensionsSemanticModule

      `BPMN2_EXTENSIONS_URI`

    - ### Fields inherited from class org.drools.core.xml.DefaultSemanticModule

      `handlers, handlersByClass, uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BPMN2DataServiceExtensionSemanticModule(BPMN2DataServiceSemanticModule module)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository` | `getRepo()`
    `ProcessDescRepoHelper` | `getRepoHelper()`
    `void` | `init()`
    `void` | `setRepo(org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository repo)`
    `static void` | `setRepoHelper(ProcessDescRepoHelper repoHelper)`

    - ### Methods inherited from class org.drools.core.xml.DefaultSemanticModule

      `addHandler, getHandler, getHandlerByClass, getUri`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BPMN2DataServiceExtensionSemanticModule

          public BPMN2DataServiceExtensionSemanticModule(BPMN2DataServiceSemanticModule module)

  - ### Method Detail

    - #### init

          public void init()

    - #### getRepoHelper

          public ProcessDescRepoHelper getRepoHelper()

    - #### setRepoHelper

          public static void setRepoHelper(ProcessDescRepoHelper repoHelper)

    - #### getRepo

          public org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository getRepo()

    - #### setRepo

          public void setRepo(org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository repo)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.